# "fix" underlinking:
%define _disable_ld_no_undefined 1

%define major   1
%define libname %mklibname %{name} %{major}
%define devname %mklibname %{name} -d

Name:           opencsg
Version:        1.4.2
Release:        %mkrel 2
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries
# license.txt contains a linking exception for CGAL
License:        GPLv2+ with exceptions
URL:            http://www.opencsg.org/
Source0:        http://www.opencsg.org/OpenCSG-%{version}.tar.xz
Patch0:         opencsg-build.patch

BuildRequires:  dos2unix
BuildRequires:  lib64freeglut-devel
BuildRequires:  lib64glew-devel
BuildRequires:  qt4-devel

%description
OpenCSG is a library that does image-based CSG rendering using OpenGL.

#----------------------------------------------------------------------------

%package -n     %{libname}
Summary:        Library for Constructive Solid Geometry using OpenGL
Group:          System/Libraries

%description -n %{libname}
OpenCSG is a library that does image-based CSG rendering using OpenGL.

CSG is short for Constructive Solid Geometry and denotes an approach to model
complex 3D-shapes using simpler ones. I.e., two shapes can be combined by
taking the union of them, by intersecting them, or by subtracting one shape
of the other.

%files -n       %{libname}
%doc changelog.txt doc/* license.txt
%{_libdir}/lib%{name}.so.%{major}*

#----------------------------------------------------------------------------

%package -n     %{devname}
Summary:        OpenCSG development files
Group:          Development/Libraries
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{devname}
Development files for OpenCSG.

%files -n       %{devname}
%{_includedir}/%{name}.h
%{_libdir}/lib%{name}.so

#----------------------------------------------------------------------------

%prep
%setup -q -n OpenCSG-%{version}
%apply_patches

rm src/Makefile RenderTexture/Makefile Makefile example/Makefile
dos2unix license.txt

# Encoding
iconv --from=ISO-8859-1 --to=UTF-8 changelog.txt > changelog.txt.new && \
touch -r changelog.txt changelog.txt.new && \
mv changelog.txt.new changelog.txt

# New FSF Address
for FILE in src/*.h src/*.cpp include/opencsg.h
do
  sed -i s/"59 Temple Place, Suite 330, Boston, MA 02111-1307 USA"/"51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA"/ $FILE
done

# Use Mageia's glew
rm -rf glew/

%build
%qmake_qt4
%make_build

%install
# No make install
chmod g-w lib/*
mkdir -p %{buildroot}/%{_libdir}
mkdir -p %{buildroot}/%{_includedir}
cp -pP lib/* %{buildroot}/%{_libdir}/
cp -p include/opencsg.h %{buildroot}/%{_includedir}/


%changelog
* Wed Oct 09 2019 tex - 1.4.2-2pclos2019
- rebuild against updates

* Wed May 30 2018 bb2 <bb2> - 1.4.2-1pclos2018
- import from france
